MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026524Community[OCCT] OCCT:Shape Healingpublic2015-08-06 06:422016-12-09 16:39
ReporterVico Liang 
Assigned Toapn 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026524: ShapeFix_Face crash when performing fix on an invalid face.
DescriptionTopoDS_Face = // load from InvalidFace.brep
ShapeFix_Face aFixFace(aFace);
aFixFace.Perform(); // Crash
Steps To ReproduceBranch CR26524 was ready to be reviewed
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon InvalidFace.brep (1,484 bytes) 2015-08-06 06:42

- Relationships

-  Notes
(0043862)
Vico Liang (developer)
2015-08-06 06:45

The bad face was created using BRepBuilderAPI_MakeFace and then add a hole wire to the face. The problem is that the hole wire intersects with the boundary outer wire.
(0049152)
abv (manager)
2015-12-15 15:06

I cannot reproduce this issue in DRAW (tried OCCT 6.9.0, 6.9.1, and current master, vc10 64-bit Release)
(0059193)
git (administrator)
2016-10-26 17:33

Branch CR26524 has been created by gka.

SHA-1: 70e370dd4090a705e01fe8f3b64011c34361993f


Detailed log of new commits:

Author: gka
Date: Wed Oct 26 17:32:10 2016 +0300

    0026524: ShapeFix_Face crash when performing fix on an invalid face.
    
    Check that method Context() returns not null handle was added.
(0059208)
git (administrator)
2016-10-26 19:32

Branch CR26524 has been updated forcibly by gka.

SHA-1: c1a7b35eb6375ac851af22dbe36b4fdccab9bd3e
(0059284)
abv (manager)
2016-10-27 17:08

No remarks, please test
(0059374)
git (administrator)
2016-10-28 18:05

Branch CR26524 has been updated forcibly by apv.

SHA-1: 102883174fff200168772f194dd4d1fdb9b0db42
(0059375)
apv (tester)
2016-10-28 18:06

Branch CR26524 has been rebased on the current master
(0059676)
apv (tester)
2016-11-01 11:48

Dear BugMaster,

Branch CR26524 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 102883174fff200168772f194dd4d1fdb9b0db42

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1125

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91277608 / 90743305 [+0.59%]
Total CPU difference: 19463.569999999916 / 19313.389999999898 [+0.78%]

Testing on Windows:
Total MEMORY difference: 57300773 / 57321116 [-0.04%]
Total CPU difference: 18001.173791398684 / 18220.18359529866 [-1.20%]
(0061177)
git (administrator)
2016-12-07 11:25

Branch CR26524 has been deleted by kgv.

SHA-1: 102883174fff200168772f194dd4d1fdb9b0db42

- Related Changesets
occt: master 320a3220
Timestamp: 2016-10-26 16:31:49
Author: gka
Committer: apn
Details ] Diff ]
0026524: ShapeFix_Face crash when performing fix on an invalid face.

Check that method Context() returns not null handle was added.
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-06 06:42 Vico Liang New Issue
2015-08-06 06:42 Vico Liang Assigned To => gka
2015-08-06 06:42 Vico Liang File Added: InvalidFace.brep
2015-08-06 06:45 Vico Liang Note Added: 0043862
2015-12-15 15:06 abv Note Added: 0049152
2015-12-18 11:50 abv Target Version 7.0.0 => 7.1.0
2016-10-26 17:33 git Note Added: 0059193
2016-10-26 17:35 gka Assigned To gka => abv
2016-10-26 17:35 gka Status new => resolved
2016-10-26 17:35 gka Steps to Reproduce Updated View Revisions
2016-10-26 19:32 git Note Added: 0059208
2016-10-27 17:08 abv Note Added: 0059284
2016-10-27 17:08 abv Assigned To abv => bugmaster
2016-10-27 17:08 abv Status resolved => reviewed
2016-10-28 17:08 apv Assigned To bugmaster => apv
2016-10-28 18:05 git Note Added: 0059374
2016-10-28 18:06 apv Note Added: 0059375
2016-11-01 11:31 apv Test case number => Not needed
2016-11-01 11:48 apv Note Added: 0059676
2016-11-01 11:48 apv Assigned To apv => bugmaster
2016-11-01 11:48 apv Status reviewed => tested
2016-11-03 17:10 apn Changeset attached => occt master 320a3220
2016-11-03 17:10 apn Assigned To bugmaster => apn
2016-11-03 17:10 apn Status tested => verified
2016-11-03 17:10 apn Resolution open => fixed
2016-12-07 11:25 git Note Added: 0061177
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker